import { InternalStateManager } from '../types';
import { RpcSender } from './rpc';
export declare class RpcStateManager implements InternalStateManager {
    private readonly sender;
    constructor(sender: RpcSender);
    get<T>(traceId: string, key: string): Promise<T>;
    set<T>(traceId: string, key: string, value: T): Promise<void>;
    delete(traceId: string, key: string): Promise<void>;
    clear(traceId: string): Promise<void>;
}
